/*
 * An object for a "host" directory provided via the C library.
 *
 * Copyright (C) 2021 Paul Boddie <paul@boddie.org.uk>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA
 */

#pragma once

#include <fsserver/directory_resource.h>



/* Support for providing access to directories. */

class HostDirectory : public DirectoryResource
{
protected:
    virtual long _opendir(flags_t flags, offset_t *size, l4_cap_idx_t *cap,
                          object_flags_t *object_flags);

public:
    virtual ~HostDirectory();
};

// vim: tabstop=4 expandtab shiftwidth=4
